
/*
 * HPTalx
 * A PC<->HP48/49 communication program for Linux
 *
 * (C) 1999 by Bruno Barberi Gnecco
 * (C) 2005 by Bruno Barberi Gnecco and Rafael Ostertag
 *
 * NOTE: Icons Copyright (C) 2000 Hewlett Packard and Jean-Pierre Bergamin.
 * 
 *
 *
 * Copyright note:
 * 
 * This program is free software; you can
 * redistribute it and/or modify it under the
 * terms of the GNU General Public License as
 * published by the Free Software Foundation;
 * either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that
 * it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU
 * General Public License along with this
 * program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA 
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "icons.h"

GdkPixbuf          *dir_pixbuf;
GdkPixbuf          *file_pixbuf;
GdkPixbuf          *list_pixbuf;
GdkPixbuf          *library_pixbuf;
GdkPixbuf          *program_pixbuf;
GdkPixbuf          *string_pixbuf;
GdkPixbuf          *algebraic_pixbuf;
GdkPixbuf          *array_pixbuf;
GdkPixbuf          *real_pixbuf;
GdkPixbuf          *complex_pixbuf;
GdkPixbuf          *complexlist_pixbuf;
GdkPixbuf          *reallist_pixbuf;
GdkPixbuf          *unit_pixbuf;
GdkPixbuf          *unknown_pixbuf;
GdkPixbuf          *integer_pixbuf;
GdkPixbuf          *global_pixbuf;

/*
 * XPM 
 */
static char        *binary_xpm[] = {
    "15 15 5 1",
    " 	c None",
    ".	c #F7F7F7",
    "+	c #636363",
    "@	c #F7EF84",
    "#	c #000000",
    "..............+",
    ".@@@@@@@@@@@@@+",
    ".@#@##@#@##@#@+",
    ".@#@##@#@##@#@+",
    ".@@@@@@@@@@@@@+",
    ".##@#@##@#@##@+",
    ".##@#@##@#@##@+",
    ".@@@@@@@@@@@@@+",
    ".@#@##@#@##@#@+",
    ".@#@##@#@##@#@+",
    ".@@@@@@@@@@@@@+",
    ".##@#@##@#@##@+",
    ".##@#@##@#@##@+",
    ".@@@@@@@@@@@@@+",
    "+++++++++++++++"
};

/*
 * XPM 
 */
static char        *complex_xpm[] = {
    "15 15 5 1",
    " 	c None",
    ".	c #F7F7F7",
    "+	c #636363",
    "@	c #F7EF84",
    "#	c #000000",
    "..............+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@###@#@@@+",
    ".@@@@###@##@@@+",
    ".@@@##@#@@#@@@+",
    ".@@@##@#@@@@@@+",
    ".@@@##@#@@@@@@+",
    ".@@@##@#@@@@@@+",
    ".@@@##@#@@@@@@+",
    ".@@@@###@@#@@@+",
    ".@@@@@####@@@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    "+++++++++++++++"
};

/*
 * XPM 
 */
static char        *complexlist_xpm[] = {
    "15 15 5 1",
    " 	c None",
    ".	c #F7F7F7",
    "+	c #636363",
    "@	c #F7EF84",
    "#	c #000000",
    "..............+",
    ".@###@@@@@###@+",
    ".@#@@@@@@@@@#@+",
    ".@#@@@###@#@#@+",
    ".@#@@###@##@#@+",
    ".@#@##@#@@#@#@+",
    ".@#@##@#@@@@#@+",
    ".@#@##@#@@@@#@+",
    ".@#@##@#@@@@#@+",
    ".@#@@###@@#@#@+",
    ".@#@@@####@@#@+",
    ".@#@@@@@@@@@#@+",
    ".@###@@@@@###@+",
    ".@@@@@@@@@@@@@+",
    "+++++++++++++++"
};

/*
 * XPM 
 */
static char        *folder_xpm[] = {
    "16 16 7 1",
    " 	c None",
    ".	c #CECE63",
    "+	c #9C9C63",
    "@	c #EFE773",
    "#	c #F7F7F7",
    "$	c #636363",
    "%	c #F7EF84",
    "                ",
    "  ....+         ",
    " .@@@@.+        ",
    "..............+ ",
    ".#############+$",
    ".#%%%%%%%%%%%%+$",
    ".#%%%%%%%%%%%%+$",
    ".#%%%%%%%%%%%%+$",
    ".#%%%%%%%%%%%%+$",
    ".#%%%%%%%%%%%%+$",
    ".#%%%%%%%%%%%%+$",
    ".#%%%%%%%%%%%%+$",
    "..............+$",
    "$$$$$$$$$$$$$$$$",
    "                ",
    "                "
};

/*
 * XPM 
 */
static char        *formula_xpm[] = {
    "15 15 5 1",
    " 	c None",
    ".	c #F7F7F7",
    "+	c #636363",
    "@	c #F7EF84",
    "#	c #000000",
    "..............+",
    ".@@@@@@@@##@@@+",
    ".@@@@@@@#@#@@@+",
    ".@@@@@@#@@@@@@+",
    ".@@@@@###@@@@@+",
    ".@@@@@@#@@@@@@+",
    ".@@@@@@#@@@@@@+",
    ".@@@@@@#@@@@@@+",
    ".@@@@@#@@@@@@@+",
    ".@@@@@#@@@@@@@+",
    ".@@@@@#@@@@@@@+",
    ".@@#@#@@@@@@@@+",
    ".@@##@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    "+++++++++++++++"
};

/*
 * XPM 
 */
static char        *list_xpm[] = {
    "15 15 5 1",
    " 	c None",
    ".	c #F7F7F7",
    "+	c #636363",
    "@	c #F7EF84",
    "#	c #000000",
    "..............+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@##@@@##@@@+",
    ".@@##@@@@@##@@+",
    ".@@##@@@@@##@@+",
    ".@@#@@@@@@@#@@+",
    ".@#@@@@@@@@@#@+",
    ".@@#@@@@@@@#@@+",
    ".@@##@@@@@##@@+",
    ".@@##@@@@@##@@+",
    ".@@@##@@@##@@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    "+++++++++++++++"
};

/*
 * XPM 
 */
static char        *reel_xpm[] = {
    "15 15 5 1",
    " 	c None",
    ".	c #F7F7F7",
    "+	c #636363",
    "@	c #F7EF84",
    "#	c #000000",
    "..............+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    ".@########@@@@+",
    ".@@#@##@@##@@@+",
    ".@@#@##@@##@@@+",
    ".@@#@##@@##@@@+",
    ".@@#@####@@@@@+",
    ".@@#@##@##@@@@+",
    ".@@#@##@##@@@@+",
    ".@@#@##@@##@@@+",
    ".@######@###@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    "+++++++++++++++"
};

/*
 * XPM 
 */
static char        *reellist_xpm[] = {
    "15 15 5 1",
    " 	c None",
    ".	c #F7F7F7",
    "+	c #636363",
    "@	c #F7EF84",
    "#	c #000000",
    "..............+",
    ".@###@@@@@###@+",
    ".@#@@@@@@@@@#@+",
    ".@#@#####@@@#@+",
    ".@#@@#@@##@@#@+",
    ".@#@@#@@##@@#@+",
    ".@#@@###@@@@#@+",
    ".@#@@#@##@@@#@+",
    ".@#@@#@##@@@#@+",
    ".@#@@#@@##@@#@+",
    ".@#@###@###@#@+",
    ".@#@@@@@@@@@#@+",
    ".@###@@@@@###@+",
    ".@@@@@@@@@@@@@+",
    "+++++++++++++++"
};

/*
 * XPM 
 */
static char        *string_xpm[] = {
    "15 15 5 1",
    " 	c None",
    ".	c #F7F7F7",
    "+	c #636363",
    "@	c #F7EF84",
    "#	c #000000",
    "..............+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    ".@#@#@@@@@#@#@+",
    ".@#@#@@@@@#@#@+",
    ".@@#@#@@@#@#@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    "+++++++++++++++"
};

/*
 * XPM 
 */
static char        *unit_xpm[] = {
    "15 15 5 1",
    " 	c None",
    ".	c #F7F7F7",
    "+	c #636363",
    "@	c #F7EF84",
    "#	c #000000",
    "..............+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@##@@+",
    ".@@@@@@@@#@@#@+",
    ".@@@@@@@@@@#@@+",
    ".@@@@@@@@@#@@@+",
    ".@@@@@@@@####@+",
    ".@####@##@@@@@+",
    ".@##@##@##@@@@+",
    ".@##@##@##@@@@+",
    ".@##@##@##@@@@+",
    ".@##@##@##@@@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    "+++++++++++++++"
};

/*
 * XPM 
 */
static char        *unknown_xpm[] = {
    "15 15 5 1",
    " 	c None",
    ".	c #F7F7F7",
    "+	c #636363",
    "@	c #F7EF84",
    "#	c #000000",
    "..............+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@####@@@@+",
    ".@@@@##@@##@@@+",
    ".@@@@##@@##@@@+",
    ".@@@@##@@##@@@+",
    ".@@@@@@@@##@@@+",
    ".@@@@@@###@@@@+",
    ".@@@@@@##@@@@@+",
    ".@@@@@@##@@@@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@##@@@@@+",
    ".@@@@@@##@@@@@+",
    ".@@@@@@@@@@@@@+",
    "+++++++++++++++"
};

/*
 * XPM 
 */
static char        *vector_xpm[] = {
    "15 15 6 1",
    " 	c None",
    ".	c #F7F7F7",
    "+	c #636363",
    "@	c #F7EF84",
    "#	c #000000",
    "$	c #C6C6C6",
    "..............+",
    ".@@@@@@@@@@@@@+",
    ".@##@@@@@@@##@+",
    ".@#@@@@@@@@@#@+",
    ".@#@##@@@##@#@+",
    ".@#@$#@@@$#@#@+",
    ".@##@@@@#@@@#@+",
    ".@#@@@@@@@@@#@+",
    ".@#@@@@@@@@@#@+",
    ".@#@##@@@##@#@+",
    ".@#@$#@@@$#@#@+",
    ".@##@@@@#@@@#@+",
    ".@##@@@@@@@##@+",
    ".@@@@@@@@@@@@@+",
    "+++++++++++++++"
};

/*
 * XPM 
 */
static char        *file_xpm[] = {
    "13 16 5 1",
    " 	c None",
    ".	c #000000",
    "+	c #FFFFFF",
    "@	c #848484",
    "#	c #C6C6C6",
    "  .+.+.+.+.  ",
    " .+@+@+@+@+. ",
    "@+.+.+.+.+.+.",
    "@++++++++++#.",
    "@++++++++++#.",
    "@++...+..++#.",
    "@++++++++++#.",
    "@++......++#.",
    "@++++++++++#.",
    "@++......++#.",
    "@++++++++++#.",
    "@++......++#.",
    "@++++++++++#.",
    "@++++++++++#.",
    "@###########.",
    " ........... "
};

/*
 * XPM 
 */
static char        *algebraic_xpm[] = {
    "15 15 5 1",
    " 	c None",
    ".	c #F7F7F7",
    "+	c #636363",
    "@	c #F7EF84",
    "#	c #000000",
    "..............+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@##@#@@@+",
    ".@@@@@#@@##@@@+",
    ".@@@@#@@@#@@@@+",
    ".@@@#@@@@#@@@@+",
    ".@@@#@@@##@@@@+",
    ".@@@#@@##@#@@@+",
    ".@@@###@##@@@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    ".@@@@@@@@@@@@@+",
    "+++++++++++++++"
};

/*
 * XPM 
 */
static char        *integer_xpm[] = {
    "14 15 6 1",
    " 	c None",
    ".	c #F7F7F7",
    "+	c #636363",
    "@	c #F7EF84",
    "#	c #000000",
    "$	c #CECE63",
    ".............+",
    "@@@@@@@@@@@@@+",
    "@@@@@@@@@@@@@+",
    "@@#########@@+",
    "@@#@@@@@##@@@+",
    "@@@@@@@##@#@@+",
    "@@@@@@##@#@@@+",
    "@@@@@##@#@@@@+",
    "@@@@##@#@@@@@+",
    "@@@##@#@@@@@@+",
    "@@##@#@@@@#@@+",
    "@@#########@@+",
    "@@@@@@@@@@@@@+",
    "$$$$$$$$$$$$$+",
    "++++++++++++++"
};

/*
 * XPM 
 */
static char        *global_xpm[] = {
    "15 15 9 1",
    " 	c None",
    ".	c #F7F7F7",
    "+	c #636363",
    "@	c #F7EF84",
    "#	c #CECE63",
    "$	c #EFE773",
    "%	c #000000",
    "&	c #ADAD5A",
    "*	c #313118",
    "..............+",
    ".@@@#$@@$#@@@@+",
    ".@@+%+@@+%+@@@+",
    ".@@&%*##*%&@@@+",
    ".@@@+%++%+@@@@+",
    ".#&#$+**+$#&#@+",
    ".+%%**%%**%%+@+",
    ".+%%**%%**%%+@+",
    ".#&#$+**+$#&#@+",
    ".@@@+%++%+@@@@+",
    ".@@&%*##*%&@@@+",
    ".@@+%+@@+%+@@@+",
    ".@@@#$@@$#@@@@+",
    ".@@@@@@@@@@@@@+",
    "+++++++++++++++"
};

void
init_pixbufs (void)
{
    dir_pixbuf = gdk_pixbuf_new_from_xpm_data ((const gchar **) folder_xpm);
    file_pixbuf = gdk_pixbuf_new_from_xpm_data ((const gchar **) file_xpm);
    list_pixbuf = gdk_pixbuf_new_from_xpm_data ((const gchar **) list_xpm);
    library_pixbuf =
	gdk_pixbuf_new_from_xpm_data ((const gchar **) binary_xpm);
    program_pixbuf =
	gdk_pixbuf_new_from_xpm_data ((const gchar **) formula_xpm);
    string_pixbuf =
	gdk_pixbuf_new_from_xpm_data ((const gchar **) string_xpm);
    algebraic_pixbuf =
	gdk_pixbuf_new_from_xpm_data ((const gchar **) algebraic_xpm);
    array_pixbuf = gdk_pixbuf_new_from_xpm_data ((const gchar **) vector_xpm);
    real_pixbuf = gdk_pixbuf_new_from_xpm_data ((const gchar **) reel_xpm);
    complex_pixbuf =
	gdk_pixbuf_new_from_xpm_data ((const gchar **) complex_xpm);
    complexlist_pixbuf =
	gdk_pixbuf_new_from_xpm_data ((const gchar **) complexlist_xpm);
    reallist_pixbuf =
	gdk_pixbuf_new_from_xpm_data ((const gchar **) reellist_xpm);
    unit_pixbuf = gdk_pixbuf_new_from_xpm_data ((const gchar **) unit_xpm);
    unknown_pixbuf =
	gdk_pixbuf_new_from_xpm_data ((const gchar **) unknown_xpm);
    integer_pixbuf =
	gdk_pixbuf_new_from_xpm_data ((const gchar **) integer_xpm);
    global_pixbuf =
	gdk_pixbuf_new_from_xpm_data ((const gchar **) global_xpm);

}

void
close_pixbufs (void)
{
}
