
/*
 *  HPTalx
 *  A PC<->HP48/49 communication program for Linux
 *
 *  (C) 1999, 2000 by Bruno Barberi Gnecco
 *  (C) 2005 by Bruno Barberi Gnecco, Rafael Ostertag
 *
 *
 * $Id: io.h,v 1.3 2007/09/29 21:21:01 guengel Exp $
 *
 *
 * Copyright note:
 *
 * This program is free software; you can
 * redistribute it and/or modify it under the
 * terms of the GNU General Public License as
 * published by the Free Software Foundation;
 * either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that
 * it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU
 * General Public License along with this
 * program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA
 */

#ifndef IO_H
#define IO_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

/*
 * Those are used for CList data
 */
#define ROW_DATA_DIRECTORY "Directory"	/* Entry is a Directory */
#define ROW_DATA_LIST "List"	/* Entry is a List */
#define ROW_DATA_LIBRARY "Library"	/* Entry is a Library */
#define ROW_DATA_PROGRAM "Program"	/* Entry is a Program */
#define ROW_DATA_STRING "String"	/* Entry is a String */
#define ROW_DATA_ALGEBRAIC "Algebraic"	/* Entry is an Algebraic Object */
#define ROW_DATA_ARRAY "Array"	/* Entry is an Array */
#define ROW_DATA_REAL "Real Number"	/* Entry is a Real Number */
#define ROW_DATA_COMPLEX "Complex Number"	/* Entry is a Complex Number */
#define ROW_DATA_COMPLEX_ARRAY "Complex Array"	/* Entry is a Complex Array */
#define ROW_DATA_UNIT "Unit"	/* Entry is an unit object */
#define ROW_DATA_FILE "File"	/* Entry is a File */
#define ROW_DATA_INTEGER "Integer"	/* Entry is an Integer */
#define ROW_DATA_GLOBAL_NAME "Global Name"	/* Entry is a Global Name */

/*
 * Used by copy()
 */
#define COPYBUFFERSIZE 4094

/*
 * Callback data passed to the function gui_transfer_callback()
 */
struct _callback_data
{
    GtkWidget          *dialog;	/* Pointer to the dialog window */
    GtkWidget          *filelabel;	/* Pointer to the file label widget */
    GtkWidget          *infolabel;	/* Pointer to the info label widget */
    GtkWidget          *progressbar;	/* Pointer to the progress bar widget 
					 */
};
typedef struct _callback_data callback_data;

extern void         io_transfer (GtkWidget * w, gpointer dorefresh);

extern void         io_move (GtkWidget * w, gpointer wdc	/* we don't
								 * care */ );

extern void         io_edit (GtkWidget * w, gpointer wdc	/* we don't
								 * care */ );

extern void         io_copy (GtkWidget * w, gpointer wdc	/* we don't
								 * care */ );

extern void         io_renamew (GtkWidget * w, gpointer wdc	/* we don't
								 * care */ );

extern void         io_unpack (GtkWidget * w, gpointer wdc	/* we don't
								 * care */ );

extern void         io_delete (GtkWidget * w, gpointer dorefresh);

extern void         io_choose_dir (GtkTreeViewColumn * wdc,
				   gpointer refresh_what);

extern void         io_change_dir (GtkWidget * wdc1, gpointer wdc2);

extern void         io_create_dir (GtkWidget * w, gpointer wdc	/* we don't
								 * care */ );

extern void         io_remove_dir (GtkWidget * w, gpointer dorefresh);

extern void         io_command_execute_callback (GtkWidget * w,
						 gpointer argument);

extern void         io_command (GtkWidget * w, gpointer wdc	/* we don't
								 * care */ );

#ifdef UPDATE_ROM
extern void         update_rom (GtkWidget * w, gpointer /* we don't care */ );
#endif

extern void         io_backup (GtkWidget * w, gpointer wdc	/* we don't
								 * care */ );

extern void         io_restore (GtkWidget * w, gpointer wdc	/* we don't
								 * care */ );

extern void         io_refreshall (GtkWidget * w, gpointer wdc	/* we don't
								 * care */ );

extern void         io_refresh (GtkWidget * wdc, gpointer what);

extern void         io_connect (GtkWidget * w, gpointer wdc	/* we don't
								 * care */ );

extern void         io_disconnect (GtkWidget * w, gpointer how);

#endif
